• 请问现在这个还能签发证书么?

    我输入

    acme.sh --issue -d subdomain.domain.com --webroot /home/app/public 
    

    之后得到challenge不存在的报错,但我十分确定目录没问题,查看没有challenge因为是它自动完成后删除了,以下是log

    Changing owner/group of .well-known to root:root
    [Thu Aug 17 15:06:09 CST 2017] url='https://acme-v01.api.letsencrypt.org/acme/challenge/u0FsYtePfxD34xYlhDA_dqdvYhMIHnybo_vx30r56wA/1769980106'
    [Thu Aug 17 15:06:09 CST 2017] payload='{"resource": "challenge", "keyAuthorization": "MAkvAMKQ3bCT3it0-sx4ZufmZxtEsTkUncsAqVy-iRw._VvrU6EE4CB0GRLOlaXCczJU63JAchPg8nrv4mbtF7w"}'
    [Thu Aug 17 15:06:09 CST 2017] POST
    [Thu Aug 17 15:06:09 CST 2017] url='https://acme-v01.api.letsencrypt.org/acme/challenge/u0FsYtePfxD34xYlhDA_dqdvYhMIHnybo_vx30r56wA/1769980106'
    [Thu Aug 17 15:06:09 CST 2017] _CURL='curl -L --silent --dump-header /root/.acme.sh/http.header '
    [Thu Aug 17 15:06:11 CST 2017] _ret='0'
    [Thu Aug 17 15:06:11 CST 2017] code='202'
    [Thu Aug 17 15:06:11 CST 2017] sleep 2 secs to verify
    [Thu Aug 17 15:06:13 CST 2017] checking
    [Thu Aug 17 15:06:13 CST 2017] GET
    [Thu Aug 17 15:06:13 CST 2017] url='https://acme-v01.api.letsencrypt.org/acme/challenge/u0FsYtePfxD34xYlhDA_dqdvYhMIHnybo_vx30r56wA/1769980106'
    [Thu Aug 17 15:06:13 CST 2017] timeout
    

    好象是获取api失败了,这是脚本的问题么?


    不是脚本的问题,我public路径没有配置好

  • dalao们都停一停,我想问云梯支持Ubuntu下的IPSEC/IKev2么?

    我没有找到相关帮助文档😀

  • 大神你说的太对了,重启好了

  • 还好我服务器有备份。。。那我换个服务器?

  • require "sport"
    NameError: uninitialized constant ApplicationRecord
            from /home/sports_meeting/app/models/sport.rb:1:in `<top (required
    

    这回更奇怪。。。

  • /home/sports_meeting/lib
    /home/sports_meeting/vendor
    /home/sports_meeting/app/assets
    /home/sports_meeting/app/channels
    /home/sports_meeting/app/controllers
    /home/sports_meeting/app/controllers/concerns
    /home/sports_meeting/app/helpers
    /home/sports_meeting/app/jobs
    /home/sports_meeting/app/mailers
    /home/sports_meeting/app/models
    /home/sports_meeting/app/models/concerns
    /usr/local/rvm/gems/ruby-2.2.2/gems/turbolinks-5.0.1/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/jquery-rails-4.2.2/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/jquery-rails-4.2.2/vendor
    /usr/local/rvm/gems/ruby-2.2.2/gems/coffee-rails-4.2.1/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/actioncable-5.0.2/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/bundler-1.14.3/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/spring-2.0.1/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/web-console-3.4.0/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/uglifier-3.1.9/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/turbolinks-source-5.0.0/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/sqlite3-1.3.13/lib
    /usr/local/rvm/gems/ruby-2.2.2/extensions/x86_64-linux/2.2.0/sqlite3-1.3.13
    /usr/local/rvm/gems/ruby-2.2.2/gems/spring-watcher-listen-2.0.1/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/sass-rails-5.0.6/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/tilt-2.0.7/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/sass-3.4.23/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/rails-5.0.2/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/sprockets-rails-3.2.0/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/sprockets-3.7.1/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/puma-3.8.2/lib
    /usr/local/rvm/gems/ruby-2.2.2/extensions/x86_64-linux/2.2.0/puma-3.8.2
    /usr/local/rvm/gems/ruby-2.2.2/gems/listen-3.0.8/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/rb-inotify-0.9.8/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/rb-fsevent-0.9.8/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/jbuilder-2.6.3/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/multi_json-1.12.1/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/ffi-1.9.18/lib
    /usr/local/rvm/gems/ruby-2.2.2/extensions/x86_64-linux/2.2.0/ffi-1.9.18
    /usr/local/rvm/gems/ruby-2.2.2/gems/debug_inspector-0.0.2/lib
    /usr/local/rvm/gems/ruby-2.2.2/extensions/x86_64-linux/2.2.0/debug_inspector-0.0.2
    /usr/local/rvm/gems/ruby-2.2.2/gems/railties-5.0.2/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/thor-0.19.4/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/method_source-0.8.2/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/coffee-script-2.4.1/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/execjs-2.7.0/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/coffee-script-source-1.12.2/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/byebug-9.0.6/lib
    /usr/local/rvm/gems/ruby-2.2.2/extensions/x86_64-linux/2.2.0/byebug-9.0.6
    /usr/local/rvm/gems/ruby-2.2.2/gems/bcrypt-3.1.11/lib
    /usr/local/rvm/gems/ruby-2.2.2/extensions/x86_64-linux/2.2.0/bcrypt-3.1.11
    /usr/local/rvm/gems/ruby-2.2.2/gems/activerecord-5.0.2/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/arel-7.1.4/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/activemodel-5.0.2/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/actionmailer-5.0.2/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/mail-2.6.4/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/mime-types-3.1/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/mime-types-data-3.2016.0521/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/activejob-5.0.2/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/globalid-0.3.7/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/websocket-driver-0.6.5/lib
    /usr/local/rvm/gems/ruby-2.2.2/extensions/x86_64-linux/2.2.0/websocket-driver-0.6.5
    /usr/local/rvm/gems/ruby-2.2.2/gems/websocket-extensions-0.1.2/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/nio4r-2.0.0/lib
    /usr/local/rvm/gems/ruby-2.2.2/extensions/x86_64-linux/2.2.0/nio4r-2.0.0
    /usr/local/rvm/gems/ruby-2.2.2/gems/actionpack-5.0.2/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/rack-test-0.6.3/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/rack-2.0.1/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/actionview-5.0.2/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/rails-html-sanitizer-1.0.3/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/loofah-2.0.3/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/rails-dom-testing-2.0.2/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/nokogiri-1.7.1/lib
    /usr/local/rvm/gems/ruby-2.2.2/extensions/x86_64-linux/2.2.0/nokogiri-1.7.1
    /usr/local/rvm/gems/ruby-2.2.2/gems/mini_portile2-2.1.0/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/erubis-2.7.0/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/builder-3.2.3/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/activesupport-5.0.2/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/tzinfo-1.2.2/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/thread_safe-0.3.6/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/minitest-5.10.1/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/i18n-0.8.1/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/concurrent-ruby-1.0.5/lib
    /usr/local/rvm/gems/ruby-2.2.2/gems/rake-12.0.0/lib
    /usr/local/rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0
    /usr/local/rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby/2.2.0/x86_64-linux
    /usr/local/rvm/rubies/ruby-2.2.2/lib/ruby/site_ruby
    /usr/local/rvm/rubies/ruby-2.2.2/lib/ruby/vendor_ruby/2.2.0
    /usr/local/rvm/rubies/ruby-2.2.2/lib/ruby/vendor_ruby/2.2.0/x86_64-linux
    /usr/local/rvm/rubies/ruby-2.2.2/lib/ruby/vendor_ruby
    /usr/local/rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0
    /usr/local/rvm/rubies/ruby-2.2.2/lib/ruby/2.2.0/x86_64-linux
    

    这个是LOAD_PATH...看起来没什么不对的....

  • 试过了,一样的结果,console表示根本没不认识这些Model

  • 其实我也没考虑那么多,买的时候啥都不懂,但是以前去新泽西旅游过结果就选那了。。。

    现在打算办到东京看看

  • 是么,我试试

  • 其实也不是完全跑网站,还想用它干点别的。。。

高中毕业 学习编程ing